diff --git a/src/h1_htx.c b/src/h1_htx.c
index 617169fdbfcb..274fc39891f5 100644
--- a/src/h1_htx.c
+++ b/src/h1_htx.c
@@ -836,7 +836,7 @@ size_t h1_parse_msg_data(struct h1m *h1m, struct htx **dsthtx,
 {
 	size_t sz, total = 0;
 
-	if (b_data(srcbuf) == ofs || max <= sizeof(struct htx_blk))
+	if (b_data(srcbuf) == ofs)
 		return 0;
 
 	if (h1m->flags & H1_MF_CLEN) {
